### YamlMime:ManagedReference
items:
- uid: Voile.Resources.IResourceLoader`1
  commentId: T:Voile.Resources.IResourceLoader`1
  id: IResourceLoader`1
  parent: Voile.Resources
  children:
  - Voile.Resources.IResourceLoader`1.Load(System.String)
  - Voile.Resources.IResourceLoader`1.SupportedExtensions
  langs:
  - csharp
  - vb
  name: IResourceLoader<T>
  nameWithType: IResourceLoader<T>
  fullName: Voile.Resources.IResourceLoader<T>
  type: Interface
  source:
    remote:
      path: Voile/Source/Resources/Loaders/IResourceLoader.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: IResourceLoader
    path: Source/Resources/Loaders/IResourceLoader.cs
    startLine: 2
  assemblies:
  - Voile
  namespace: Voile.Resources
  syntax:
    content: 'public interface IResourceLoader<T> where T : Resource'
    typeParameters:
    - id: T
    content.vb: Public Interface IResourceLoader(Of T As Resource)
  nameWithType.vb: IResourceLoader(Of T)
  fullName.vb: Voile.Resources.IResourceLoader(Of T)
  name.vb: IResourceLoader(Of T)
- uid: Voile.Resources.IResourceLoader`1.SupportedExtensions
  commentId: P:Voile.Resources.IResourceLoader`1.SupportedExtensions
  id: SupportedExtensions
  parent: Voile.Resources.IResourceLoader`1
  langs:
  - csharp
  - vb
  name: SupportedExtensions
  nameWithType: IResourceLoader<T>.SupportedExtensions
  fullName: Voile.Resources.IResourceLoader<T>.SupportedExtensions
  type: Property
  source:
    remote:
      path: Voile/Source/Resources/Loaders/IResourceLoader.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: SupportedExtensions
    path: Source/Resources/Loaders/IResourceLoader.cs
    startLine: 4
  assemblies:
  - Voile
  namespace: Voile.Resources
  syntax:
    content: IEnumerable<string> SupportedExtensions { get; }
    parameters: []
    return:
      type: System.Collections.Generic.IEnumerable{System.String}
    content.vb: ReadOnly Property SupportedExtensions As IEnumerable(Of String)
  overload: Voile.Resources.IResourceLoader`1.SupportedExtensions*
  nameWithType.vb: IResourceLoader(Of T).SupportedExtensions
  fullName.vb: Voile.Resources.IResourceLoader(Of T).SupportedExtensions
- uid: Voile.Resources.IResourceLoader`1.Load(System.String)
  commentId: M:Voile.Resources.IResourceLoader`1.Load(System.String)
  id: Load(System.String)
  parent: Voile.Resources.IResourceLoader`1
  langs:
  - csharp
  - vb
  name: Load(string)
  nameWithType: IResourceLoader<T>.Load(string)
  fullName: Voile.Resources.IResourceLoader<T>.Load(string)
  type: Method
  source:
    remote:
      path: Voile/Source/Resources/Loaders/IResourceLoader.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Load
    path: Source/Resources/Loaders/IResourceLoader.cs
    startLine: 5
  assemblies:
  - Voile
  namespace: Voile.Resources
  syntax:
    content: T Load(string path)
    parameters:
    - id: path
      type: System.String
    return:
      type: '{T}'
    content.vb: Function Load(path As String) As T
  overload: Voile.Resources.IResourceLoader`1.Load*
  nameWithType.vb: IResourceLoader(Of T).Load(String)
  fullName.vb: Voile.Resources.IResourceLoader(Of T).Load(String)
  name.vb: Load(String)
references:
- uid: Voile.Resources
  commentId: N:Voile.Resources
  href: Voile.html
  name: Voile.Resources
  nameWithType: Voile.Resources
  fullName: Voile.Resources
  spec.csharp:
  - uid: Voile
    name: Voile
    href: Voile.html
  - name: .
  - uid: Voile.Resources
    name: Resources
    href: Voile.Resources.html
  spec.vb:
  - uid: Voile
    name: Voile
    href: Voile.html
  - name: .
  - uid: Voile.Resources
    name: Resources
    href: Voile.Resources.html
- uid: Voile.Resources.IResourceLoader`1.SupportedExtensions*
  commentId: Overload:Voile.Resources.IResourceLoader`1.SupportedExtensions
  href: Voile.Resources.IResourceLoader-1.html#Voile_Resources_IResourceLoader_1_SupportedExtensions
  name: SupportedExtensions
  nameWithType: IResourceLoader<T>.SupportedExtensions
  fullName: Voile.Resources.IResourceLoader<T>.SupportedExtensions
  nameWithType.vb: IResourceLoader(Of T).SupportedExtensions
  fullName.vb: Voile.Resources.IResourceLoader(Of T).SupportedExtensions
- uid: System.Collections.Generic.IEnumerable{System.String}
  commentId: T:System.Collections.Generic.IEnumerable{System.String}
  parent: System.Collections.Generic
  definition: System.Collections.Generic.IEnumerable`1
  href: https://learn.microsoft.com/dotnet/api/system.collections.generic.ienumerable-1
  name: IEnumerable<string>
  nameWithType: IEnumerable<string>
  fullName: System.Collections.Generic.IEnumerable<string>
  nameWithType.vb: IEnumerable(Of String)
  fullName.vb: System.Collections.Generic.IEnumerable(Of String)
  name.vb: IEnumerable(Of String)
  spec.csharp:
  - uid: System.Collections.Generic.IEnumerable`1
    name: IEnumerable
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.ienumerable-1
  - name: <
  - uid: System.String
    name: string
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: '>'
  spec.vb:
  - uid: System.Collections.Generic.IEnumerable`1
    name: IEnumerable
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.ienumerable-1
  - name: (
  - name: Of
  - name: " "
  - uid: System.String
    name: String
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: )
- uid: System.Collections.Generic.IEnumerable`1
  commentId: T:System.Collections.Generic.IEnumerable`1
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.collections.generic.ienumerable-1
  name: IEnumerable<T>
  nameWithType: IEnumerable<T>
  fullName: System.Collections.Generic.IEnumerable<T>
  nameWithType.vb: IEnumerable(Of T)
  fullName.vb: System.Collections.Generic.IEnumerable(Of T)
  name.vb: IEnumerable(Of T)
  spec.csharp:
  - uid: System.Collections.Generic.IEnumerable`1
    name: IEnumerable
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.ienumerable-1
  - name: <
  - name: T
  - name: '>'
  spec.vb:
  - uid: System.Collections.Generic.IEnumerable`1
    name: IEnumerable
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.ienumerable-1
  - name: (
  - name: Of
  - name: " "
  - name: T
  - name: )
- uid: System.Collections.Generic
  commentId: N:System.Collections.Generic
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System.Collections.Generic
  nameWithType: System.Collections.Generic
  fullName: System.Collections.Generic
  spec.csharp:
  - uid: System
    name: System
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system
  - name: .
  - uid: System.Collections
    name: Collections
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections
  - name: .
  - uid: System.Collections.Generic
    name: Generic
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic
  spec.vb:
  - uid: System
    name: System
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system
  - name: .
  - uid: System.Collections
    name: Collections
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections
  - name: .
  - uid: System.Collections.Generic
    name: Generic
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic
- uid: Voile.Resources.IResourceLoader`1.Load*
  commentId: Overload:Voile.Resources.IResourceLoader`1.Load
  href: Voile.Resources.IResourceLoader-1.html#Voile_Resources_IResourceLoader_1_Load_System_String_
  name: Load
  nameWithType: IResourceLoader<T>.Load
  fullName: Voile.Resources.IResourceLoader<T>.Load
  nameWithType.vb: IResourceLoader(Of T).Load
  fullName.vb: Voile.Resources.IResourceLoader(Of T).Load
- uid: System.String
  commentId: T:System.String
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.string
  name: string
  nameWithType: string
  fullName: string
  nameWithType.vb: String
  fullName.vb: String
  name.vb: String
- uid: '{T}'
  commentId: '!:T'
  definition: T
  name: T
  nameWithType: T
  fullName: T
- uid: System
  commentId: N:System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System
  nameWithType: System
  fullName: System
- uid: T
  name: T
  nameWithType: T
  fullName: T
